<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Resolucion de ecuacion cuadrática</title>
</head>

<script type="text/javascript">
	let a, b, c;
	let d, e;

	a=Number(prompt("Introduzca el valor del parámetro a"));
	b=Number(prompt("Introduzca el valor del parámetro b"));
	c=Number(prompt("Introduzca el valor del parámetro c"));
	d=b**2-4*a*c;
	e=2*a;

	if (d==0) {
		document.write("x<sub>1</sub>=x<sub>2</sub> = ", -b/e);
	} else {
		if (d>0) {
			document.write("x<sub>1</sub> = ", (-b+Math.sqrt(d))/e,"<br/>");
			document.write("x<sub>2</sub>= ", (-b-Math.sqrt(d))/e,"<br/>");
		} else {
			document.write("x<sub>1</sub> = ",-b/e,"+",Math.sqrt(-d)/e,"i","<br/>");
			document.write("x<sub>2</sub> = ",-b/e,"-",Math.sqrt(-d)/e,"i","<br/>");
		}
	}



</script>
<body>
	
</body>
</html>